Import and Export
API endpoints to export and import a file to and from XML/SISL file(s)
/api/v3/export-file
Exports a binary file as a ZIP containing SISL/XML file(s)
This endpoint exports a binary file as a ZIP containing SISL/XML file(s). The file is input via the request body as a field in 'multipart/form-data'. Once the process is complete, the file is a ZIP file containing SISL/XML file(s). The response 'Content-Type' is 'application/octet-stream'
query Parameters
policyNameSpecifies the named policy to be applied during Glasswall Halo processing. Alternatively a 'dynamic policy' can be provided in the message body, dynamic policy refers to any valid policy structure passed at the point of the request being made. If no policy is specified then the default policy is applied, this is the default behaviour.
generateHashTypesFor each of the given hashing algorithms in this comma separated list, an input and output file hash string will be created and placed in the response header. If the value is blank no hash values will be returned, this is the default value.
Valid Parameters: SHA256,SHA1,MD5.
exportEmbeddedImagesSpecifies for the export process how Glasswall Halo should deal with images within a document being exported. When this value is set to true Glasswall Halo will export any embedded images to the defined interchange type (SISL/XML). When this value is set to false Glasswall Halo will export the image in it's native type which is defined in the file.
exportTextDumpThe Export Text Dump feature offers a convenient option to generate a comprehensive text file that includes all the content from the input file being exported. This text dump file is automatically created and saved in the same ZIP as the output files.
interchangeTypeSpecifies what the exported file types are. If XML then the file will be exported into XML format. If SISL the file will be exported into SISL format
This field can accept either a string or number representation of the enum
Headers
X-Session-IdA string that can be used to group requests in reports
/api/v3/export-file › Request Body
fileThe file to be processed in binary format
ContentManagementPolicyThis field contains each of the Content Management Flags for the file types that the engine supports.
This determines how the engine will behave on each request and affords dynamic policy adaptation.
The server treats this field as a JSON string. All the properties including the field itself are optional.
Content Management Flag Key:
0 - Allow
1 - Sanitise
2 - Disallow.
Maximum label length for '.ContentManagementFlags.PdfSettings.headerLabel' is 256 characters. Characters are limited to those on standard US and Latin keyboards.
/api/v3/export-file › Responses
Created
Response headers
| Header | Description |
|---|---|
x-processing-id | UUID representing the transaction/processing id of a request |
x-applied-policy | Identifies the policy applied during Glasswall Halo processing. Allowed values: (name), default, service-dynamic, glasswall-fallback) |
x-hash-{algo}-input | Value of the input file hash. {algo} is replaced with the chosen hashing algorithm |
x-hash-{algo}-output | Value of the output file hash. {algo} is replaced with the chosen hashing algorithm |
x-file-size | The size in bytes of the original input file |
x-content-type-option | The HTTP X-Content-Type-Options response header indicates that the MIME types advertised in the Content-Type headers should be respected and not changed. |
x-frame-options | The HTTP X-Frame-Options response header is used to indicate whether a browser should be allowed to render a page in a frame, iframe, embed or object. |
/api/v3/export
Exports a Base64 encoded file as a Base64 encoded ZIP containing SISL/XML file(s)
This endpoint exports a Base64 encoded file as a ZIP containing SISL/XML file(s). The request body is a JSON that contains a Base64 representation of the file. Once the process is complete, the file is a ZIP file containing SISL/XML file(s). The response 'Content-Type' is 'application/octet-stream'
query Parameters
policyNameSpecifies the named policy to be applied during Glasswall Halo processing. Alternatively a 'dynamic policy' can be provided in the message body, dynamic policy refers to any valid policy structure passed at the point of the request being made. If no policy is specified then the default policy is applied, this is the default behaviour.
generateHashTypesFor each of the given hashing algorithms in this comma separated list, an input and output file hash string will be created and placed in the response header. If the value is blank no hash values will be returned, this is the default value.
Valid Parameters: SHA256,SHA1,MD5.
exportEmbeddedImagesSpecifies for the export process how Glasswall Halo should deal with images within a document being exported. When this value is set to true Glasswall Halo will export any embedded images to the defined interchange type (SISL/XML). When this value is set to false Glasswall Halo will export the image in it's native type which is defined in the file.
exportTextDumpThe Export Text Dump feature offers a convenient option to generate a comprehensive text file that includes all the content from the input file being exported. This text dump file is automatically created and saved in the same ZIP as the output files.
interchangeTypeSpecifies what the exported file types are. If XML then the file will be exported into XML format. If SISL the file will be exported into SISL format
This field can accept either a string or number representation of the enum
Headers
X-Session-IdA string that can be used to group requests in reports
/api/v3/export › Request Body
base64fileNameFile Name
This field contains each of the Content Management Flags for the file types that the engine supports.
This determines how the engine will behave on each request and affords dynamic policy adaptation.
The server treats this field as a JSON string. All the properties including the field itself are optional.
Content Management Flag Key:
0 - Allow
1 - Sanitise
2 - Disallow
password/api/v3/export › Responses
Created
Response headers
| Header | Description |
|---|---|
x-processing-id | UUID representing the transaction/processing id of a request |
x-applied-policy | Identifies the policy applied during Glasswall Halo processing. Allowed values: (name), default, service-dynamic, glasswall-fallback) |
x-hash-{algo}-input | Value of the input file hash. {algo} is replaced with the chosen hashing algorithm |
x-hash-{algo}-output | Value of the output file hash. {algo} is replaced with the chosen hashing algorithm |
x-file-size | The size in bytes of the original input file |
x-content-type-option | The HTTP X-Content-Type-Options response header indicates that the MIME types advertised in the Content-Type headers should be respected and not changed. |
x-frame-options | The HTTP X-Frame-Options response header is used to indicate whether a browser should be allowed to render a page in a frame, iframe, embed or object. |
/api/v3/import-file
Imports a ZIP containing SISL/XML file(s) from the export endpoint and returns a binary file
This endpoint imports ZIP files containing SISL/XML file(s). The file is input via the request body as a field in 'multipart/form-data'. Once the process is complete, the response is a binary file. The response 'Content-Type' is 'application/octet-stream'.
query Parameters
policyNameSpecifies the named policy to be applied during Glasswall Halo processing. Alternatively a 'dynamic policy' can be provided in the message body, dynamic policy refers to any valid policy structure passed at the point of the request being made. If no policy is specified then the default policy is applied, this is the default behaviour.
generateHashTypesFor each of the given hashing algorithms in this comma separated list, an input and output file hash string will be created and placed in the response header. If the value is blank no hash values will be returned, this is the default value.
Valid Parameters: SHA256,SHA1,MD5.
exportEmbeddedImagesSpecifies for the import process how the images were exported during the export process. If set to true Glasswall Halo is expecting the images in the format relating to the interchange type. If false Glasswall Halo is expecting the images to be in the original image format.
exportTextDumpInforms the api the input was generated with the exportTextDump flag set to true so the correct files are imported.
interchangeTypeSpecifies what the exported file types are. If XML then the file will be exported into XML format. If SISL the file will be exported into SISL format
This field can accept either a string or number representation of the enum
Headers
X-Session-IdA string that can be used to group requests in reports
/api/v3/import-file › Request Body
fileThe file to be processed in binary format
ContentManagementPolicyThis field contains each of the Content Management Flags for the file types that the engine supports.
This determines how the engine will behave on each request and affords dynamic policy adaptation.
The server treats this field as a JSON string. All the properties including the field itself are optional.
Content Management Flag Key:
0 - Allow
1 - Sanitise
2 - Disallow.
Maximum label length for '.ContentManagementFlags.PdfSettings.headerLabel' is 256 characters. Characters are limited to those on standard US and Latin keyboards.
/api/v3/import-file › Responses
Created
Response headers
| Header | Description |
|---|---|
x-processing-id | UUID representing the transaction/processing id of a request |
x-applied-policy | Identifies the policy applied during Glasswall Halo processing. Allowed values: (name), default, service-dynamic, glasswall-fallback) |
x-hash-{algo}-input | Value of the input file hash. {algo} is replaced with the chosen hashing algorithm |
x-hash-{algo}-output | Value of the output file hash. {algo} is replaced with the chosen hashing algorithm |
x-file-size | The size in bytes of the original input file |
x-content-type-option | The HTTP X-Content-Type-Options response header indicates that the MIME types advertised in the Content-Type headers should be respected and not changed. |
x-frame-options | The HTTP X-Frame-Options response header is used to indicate whether a browser should be allowed to render a page in a frame, iframe, embed or object. |
/api/v3/import
Imports a Base64 encoded ZIP containing SISL/XML file(s) from the export endpoint and returns a Base64 encoded file
This endpoint imports ZIP containing SISL/XML file(s). The request body is a JSON that contains a Base64 representation of the file. Once the process is complete, the response is a Base64 encoded file. The response 'Content-Type' is 'application/octet-stream'.
query Parameters
policyNameSpecifies the named policy to be applied during Glasswall Halo processing. Alternatively a 'dynamic policy' can be provided in the message body, dynamic policy refers to any valid policy structure passed at the point of the request being made. If no policy is specified then the default policy is applied, this is the default behaviour.
generateHashTypesFor each of the given hashing algorithms in this comma separated list, an input and output file hash string will be created and placed in the response header. If the value is blank no hash values will be returned, this is the default value.
Valid Parameters: SHA256,SHA1,MD5.
exportEmbeddedImagesSpecifies for the import process how the images were exported during the export process. If set to true Glasswall Halo is expecting the images in the format relating to the interchange type. If false Glasswall Halo is expecting the images to be in the original image format.
exportTextDumpInforms the api the input was generated with the exportTextDump flag set to true so the correct files are imported.
interchangeTypeSpecifies what the exported file types are. If XML then the ZIP input should contain the XML files which were produced during the export process. If SISL then the ZIP input should contain the SISL files which were produced during the export process.
This field can accept either a string or number representation of the enum
Headers
X-Session-IdA string that can be used to group requests in reports
/api/v3/import › Request Body
base64fileNameFile Name
This field contains each of the Content Management Flags for the file types that the engine supports.
This determines how the engine will behave on each request and affords dynamic policy adaptation.
The server treats this field as a JSON string. All the properties including the field itself are optional.
Content Management Flag Key:
0 - Allow
1 - Sanitise
2 - Disallow
password/api/v3/import › Responses
Created
Response headers
| Header | Description |
|---|---|
x-processing-id | UUID representing the transaction/processing id of a request |
x-applied-policy | Identifies the policy applied during Glasswall Halo processing. Allowed values: (name), default, service-dynamic, glasswall-fallback) |
x-hash-{algo}-input | Value of the input file hash. {algo} is replaced with the chosen hashing algorithm |
x-hash-{algo}-output | Value of the output file hash. {algo} is replaced with the chosen hashing algorithm |
x-file-size | The size in bytes of the original input file |
x-content-type-option | The HTTP X-Content-Type-Options response header indicates that the MIME types advertised in the Content-Type headers should be respected and not changed. |
x-frame-options | The HTTP X-Frame-Options response header is used to indicate whether a browser should be allowed to render a page in a frame, iframe, embed or object. |